Bug 871024 - File locking does not work on a NFS mounted filesystem
File locking does not work on a NFS mounted filesystem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nfs-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-29 08:28 EDT by Ondrej Valousek
Modified: 2013-08-01 01:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:37:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dorado strace output (2.93 MB, text/plain)
2012-10-29 08:28 EDT, Ondrej Valousek
no flags Details
draco strace output (10.50 KB, text/plain)
2012-10-29 08:30 EDT, Ondrej Valousek
no flags Details
dorado3 strace output (12.26 KB, text/plain)
2012-10-29 08:32 EDT, Ondrej Valousek
no flags Details

  None (edit)
Description Ondrej Valousek 2012-10-29 08:28:50 EDT
Created attachment 634984 [details]
dorado strace output

File locking does not work on a NFSv4 mounted share.
I have 3 systems:
1. dorado - running RHEL6
2. draco - a VM running RHEL6 (same kernel as dorado).
3. dorado3 - running F17

Same command gives a different output on all of them:
1. dorado:
[ondrejv@dorado ~]$ flock -x /home/ondrejv/message -c 'date'
Mon Oct 29 13:20:58 CET 2012
2. draco:
[ondrejv@draco ~]$ flock -x /home/ondrejv/message -c "date"
flock: message.txt: Input/output error
3. dorado3:
[ondrejv@dorado3 ~]$ flock -x /home/ondrejv/message -c 'date'
flock: /home/ondrejv/message: Bad file descriptor

Note that my home directory (/home/ondrejv) is the same on all 3 systems (mounted NetApp share). Also, SELinux is disabled on all three systems.

Strace of all three commands is attached.
Ondrej
Comment 1 Ondrej Valousek 2012-10-29 08:30:08 EDT
Created attachment 634985 [details]
draco strace output
Comment 2 Ondrej Valousek 2012-10-29 08:32:57 EDT
Created attachment 634987 [details]
dorado3 strace output
Comment 3 Fedora End Of Life 2013-07-03 21:18:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 01:38:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.